Bug 1314795 - Kernel 4.4.3 fails to boot the system on XFS root, erroneous errors due to old xfsprogs
Kernel 4.4.3 fails to boot the system on XFS root, erroneous errors due to ol...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfsprogs (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 09:03 EST by Dragan
Modified: 2016-06-06 03:56 EDT (History)
12 users (show)

See Also:
Fixed In Version: xfsprogs-4.3.0-1.fc23 xfsprogs-4.3.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-05 17:21:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dragan 2016-03-04 09:03:39 EST
Description of problem:
When booting the newest Fedora kernel boot fails with a message similar to:

Corruption warning: Metadata has LSN (1:16) ahead of current LSN (1:2). Please unmount and run xfs_repair (>= v4.3) to resolve.

This has been discuses on the LKML:
http://marc.info/?l=linux-kernel&m=144785713726096&w=2

It comes down to this:  XFS on a v4.4 kernel requires xfsprogs v4.3


Version-Release number of selected component (if applicable):
kernel-4.4.3-300
xfsprogs-3.2.4-1

How reproducible:
Issue is present on every boot of 4.4 kernel.

Steps to Reproduce:
1. Used (repaired) XFS system 
2. 4.4 kernel with xfsprogs < v.43
3. boot
Comment 1 Josh Boyer 2016-03-04 09:18:57 EST
I run xfs as root and I'm booted into it with 4.4.2 and xfsprogs 3.2.4-1.

As far as I understand things, this only happens if the XFS filesystem on disk is Version 5.  Older on-disk filesystems will work just fine with 4.4 and older xfsprogs.

Are you actually seeing a boot failure, or did you just happen to come across the email thread you pointed to?
Comment 2 Eric Sandeen 2016-03-04 09:21:47 EST
I'm upgrading xfsprogs in f23 as we speak.  I'll reference this bug as well when I push it, please give karma love.
Comment 3 Fedora Update System 2016-03-04 09:37:15 EST
xfsprogs-4.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-462b3247db
Comment 4 Fedora Update System 2016-03-04 11:27:56 EST
xfsprogs-4.3.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-71be756bbe
Comment 5 Christopher Bachner 2016-03-04 15:40:21 EST
I wonder if #1314911 https://bugzilla.redhat.com/show_bug.cgi?id=1314911 is related to this?
Comment 6 Fedora Update System 2016-03-04 21:20:04 EST
xfsprogs-4.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-71be756bbe
Comment 7 Fedora Update System 2016-03-04 21:22:33 EST
xfsprogs-4.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-462b3247db
Comment 8 Fedora Update System 2016-03-05 17:21:08 EST
xfsprogs-4.3.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Eric Sandeen 2016-03-07 11:44:20 EST
(In reply to Christopher Bachner from comment #5)
> I wonder if #1314911 https://bugzilla.redhat.com/show_bug.cgi?id=1314911 is
> related to this?

I don't think so.

-Eric
Comment 10 Fedora Update System 2016-03-11 19:50:23 EST
xfsprogs-4.3.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.